<?xml version="1.0"?>

<project name="BD" basedir="." >
  
<property name="hsqldb.home" value="./hsqldb"/>
<property name="rc-file" value="auth.rc"/>
<property name="urlID" value="Hagi"/>
<property name="sql-file1" value="db1.sql"/>
<property name="sql-file2" value="db2.sql"/>

<target name="start" description="start the database">
	<java fork="true" classname="org.hsqldb.server.Server">
		<arg line="--database.0 file:xdb --dbname.0 xdb"/>
		<classpath>
			<fileset dir="${hsqldb.home}">
				<include name="lib/*.jar"/>
			</fileset>
		</classpath>
	</java>
</target>
	
<target name="db1">
	<java fork="true" classname="org.hsqldb.cmdline.SqlTool">
		 <arg line="--rcFile ${rc-file} ${urlID} ${sql-file1}"/> 
		<classpath>
			<fileset dir="${hsqldb.home}">
				<include name="lib/*.jar"/>
			</fileset>
		</classpath>
	</java>
</target>

<target name="db2">
	<java fork="true" classname="org.hsqldb.cmdline.SqlTool">
		 <arg line="--rcFile ${rc-file} ${urlID} ${sql-file2}"/> 
		<classpath>
			<fileset dir="${hsqldb.home}">
				<include name="lib/*.jar"/>
			</fileset>
		</classpath>
	</java>
</target>

<target name="console">
	<java fork="true" classname="org.hsqldb.util.DatabaseManagerSwing">
		 <arg line="--rcFile ${rc-file} --urlid ${urlID}"/> 
		<classpath>
			<fileset dir="${hsqldb.home}">
				<include name="lib/*.jar"/>
			</fileset>
		</classpath>
	</java>
</target>

<target name="clean" description="Delete old build directory">
	<delete>
		<fileset dir="." includes="count*"/>
	</delete>
</target>

</project>

